#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run ZOTBOT with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='zotbot',
    version='10',
    url='https://pikacode.com/bthate/zotbot',
    author='Bart Thate',
    author_email='bthate@dds.nl',
    description="ZOTBOT - XMPP - IRC - CLI - RSS - UDP - API",
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["beautifulsoup4", "sleekxmpp", "feedparser"],
    scripts=["bin/zotbot", "bin/zot", "bin/zot-sed", "bin/zot-local", "bin/zot-docs", "bin/zot-udp"],
    packages=['zot',
              'zot.bots',
              'zot.contrib',
              'zot.plugs',
              'zot.services',
             ],
    long_description = """ 

R E S P E C T   V O O R    D E    S C H E P P I N G.

WETTEN 
======

Wet 1: Gebruik maken van de zwakheden van de mens of zijn sterfelijkheid is een misdaad. 

Wet 2: Vanuit de Hemel de dood prediken hier op Aarde is een belediging voor de Schepper.

Wet 3: Beter weten voor een ander brengt leed.

Wet 4: Geen daargelaten.

Wet 5: Gods oordeel is DE belediging.

Wet 6: Handelen op Gods oordeel is beledigen.

Wet 7: Vormen naar Gods oordeel is beledigen.

Wet 8: Neerhalen is voor God spelen.

Wet 9: Inspelen op het geweten is een misdaad.

Wet 10: Beledigen is de hoogste misdaad.

RECHTEN
=======

Recht 1: Recht op leven.

Recht 2: Recht op vrijwaring van foltering

Recht 3: Recht op vrijwaring van slavernij en dwangarbeid

Recht 4: Recht op vrijheid en veligheid

Recht 5: Recht op een eerlijk proces

Recht 6: Recht op vrijwaring van straf zonder wet

Recht 7: Recht op eerbiediging van prive, familie en gezinsleven

Recht 8: Recht op vrijheid van gedachte, geweten en godsdienst

Recht 9: Recht op vrijheid van meningsuiting

Recht 10: Recht op vrijheid van vergadering en vereniging

Recht 11: Recht om te huwen

Recht 12: Recht op een daadwerkelijk rechtsmiddel

Recht 13: Recht op vrijwaring van discriminatie

Recht 14: Recht op vrijwaring van misbruik van recht

""",
    classifiers=[
        'Development Status :: 4 - Beta',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
